---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: garrettmills-dev-ingress
  namespace: default
  annotations:
    nginx.ingress.kubernetes.io/ssl-redirect: 'false'
spec:
  tls:
    - hosts:
        - garrettmills.dev
        - www.garrettmills.dev
        - k8s.garrettmills.dev
      secretName: garrettmills-dev-tls-secret
  ingressClassName: nginx
  rules:
    - host: garrettmills.dev
      http:
        paths:
          - pathType: Prefix
            path: '/'
            backend:
              service:
                name: garrettmills-dev-service
                port:
                  number: 80
    - host: www.garrettmills.dev
      http:
        paths:
          - pathType: Prefix
            path: '/'
            backend:
              service:
                name: garrettmills-dev-service
                port:
                  number: 80
    - host: k8s.garrettmills.dev
      http:
        paths:
          - pathType: Prefix
            path: '/'
            backend:
              service:
                name: garrettmills-dev-service
                port:
                  number: 80
